%define	upstream_name	 File-NFSLock
%define	upstream_version 1.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/B/BB/BBB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
%{upstream_name} perl module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/File/NFSLock.pm
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.290.0-4.mga10
+ Revision: 2205156
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.290.0-3.mga9
+ Revision: 1811046
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.290.0-2.mga8
+ Revision: 1520098
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Nov 04 2018 tv <tv> 1.290.0-1.mga7
+ Revision: 1328147
- update to 1.29

* Thu Sep 20 2018 umeabot <umeabot> 1.270.0-6.mga7
+ Revision: 1283680
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.270.0-5.mga7
+ Revision: 1164357
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.270.0-4.mga7
+ Revision: 1160234
- Fix building on Perl without . in @INC

* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-3.mga6
+ Revision: 1027411
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.270.0-2.mga6
+ Revision: 966899
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.270.0-1.mga6
+ Revision: 847041
- update to 1.27

* Sun Oct 19 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 790049
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 747245
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-2.mga5
+ Revision: 684745
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 1.240.0-1.mga5
+ Revision: 659014
- update to 1.24

* Tue Jul 29 2014 sander85 <sander85> 1.230.0-1.mga5
+ Revision: 657853
- update to 1.23

* Sun Jul 27 2014 sander85 <sander85> 1.220.0-1.mga5
+ Revision: 657521
- update to 1.22

* Fri Oct 18 2013 umeabot <umeabot> 1.210.0-3.mga4
+ Revision: 511612
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 367273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.21

* Fri Jan 21 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 29188
- no meta.yml
- mageia rebuild
- imported package perl-File-NFSLock


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.0
+ Revision: 409017
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.20-4mdv2009.0
+ Revision: 241219
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-2mdv2008.0
+ Revision: 86401
- rebuild


* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.20-1mdk
- initial Mandriva release

